MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025609Community[OCCT] OCCT:Modeling Algorithmspublic2014-12-13 15:352017-12-07 21:13
ReporterVico Liang 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 7.3.0*Fixed in Version 
Summary0025609: Clean up the duplicate classes in TKBO project.
Description1. class BOPTools is a duplication of class TopExp, it can be replaced by TopExp.
2. Some collection class in BOPCol package can be replaced by classes in TopTools and TColStd packages.

Remove these duplicated classes to make the code more clean and maintainable.
Steps To ReproduceNot needed.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0072454)
git (administrator)
2017-11-24 10:09

Branch CR25609 has been created by emv.

SHA-1: 70b05a564a303e48bf2729d84d544e92dd3a8e95


Detailed log of new commits:

Author: emv
Date: Thu Nov 23 10:57:25 2017 +0300

    0025609: Clean up the duplicate classes in TKBO project
    
    1. The package BOPCol has been fully removed:
    * *BOPCol_BaseAllocator* is replaced with *Handle(NCollection_BaseAllocator)*;
    * *BOPCol_BoxBndTree* is replaced with *BOPTools_BoxBndTree*;
    * *BOPCol_Box2DBndTree* is removed as unused;
    * *BOPCol_DataMapOfIntegerInteger* is replaced with *TColStd_DataMapOfIntegerInteger*;
    * *BOPCol_DataMapOfIntegerListOfInteger* is replaced with *TColStd_DataMapOfIntegerListOfInteger*;
    * *BOPCol_DataMapOfIntegerListOfShape* is replaced with *TopTools_DataMapOfIntegerListOfShape*;
    * *BOPCol_DataMapOfIntegerMapOfInteger.hxx* is removed as unused;
    * *BOPCol_DataMapOfIntegerReal* is replaced with *TColStd_DataMapOfIntegerReal*;
    * *BOPCol_DataMapOfIntegerShape* is replaced with *TopTools_DataMapOfIntegerShape*;
    * *BOPCol_DataMapOfShapeBox* is replaced with *TopTools_DataMapOfShapeBox*;
    * *BOPCol_DataMapOfShapeInteger* is replaced with *TopTools_DataMapOfShapeInteger*;
    * *BOPCol_DataMapOfShapeListOfShape* is replaced with *TopTools_DataMapOfShapeListOfShape*;
    * *BOPCol_DataMapOfShapeReal* is replaced with *TopTools_DataMapOfShapeReal*;
    * *BOPCol_DataMapOfShapeShape* is replaced with *TopTools_DataMapOfShapeShape*;
    * *BOPCol_DataMapOfTransientAddress* is removed as unused;
    * *BOPCol_IndexedDataMapOfIntegerListOfInteger* is removed as unused;
    * *BOPCol_IndexedDataMapOfShapeBox* is removed as unused;
    * *BOPCol_IndexedDataMapOfShapeInteger* is removed as unused;
    * *BOPCol_IndexedDataMapOfShapeListOfShape* is replaced with *TopTools_IndexedDataMapOfShapeListOfShape*;
    * *BOPCol_IndexedDataMapOfShapeReal* is removed as unused;
    * *BOPCol_IndexedDataMapOfShapeShape* is replaced with *TopTools_IndexedDataMapOfShapeShape*;
    * *BOPCol_IndexedMapOfInteger* is replaced with *TColStd_IndexedMapOfInteger*;
    * *BOPCol_IndexedMapOfOrientedShape* is replaced with *TopTools_IndexedMapOfOrientedShape*;
    * *BOPCol_IndexedMapOfShape* is replaced with *TopTools_IndexedMapOfShape*;
    * *BOPCol_ListOfInteger* is replaced with *TColStd_ListOfInteger*;
    * *BOPCol_ListOfListOfShape* is replaced with *TopTools_ListOfListOfShape*;
    * *BOPCol_ListOfShape* is replaced with *TopTools_ListOfShape*;
    * *BOPCol_MapOfInteger* is replaced with *TColStd_MapOfInteger*;
    * *BOPCol_MapOfOrientedShape* is replaced with *TopTools_MapOfOrientedShape*;
    * *BOPCol_MapOfShape* is replaced with *TopTools_MapOfShape*;
    * *BOPCol_PListOfInteger* is removed as unused;
    * *BOPCol_PInteger* is removed as unused
    * *BOPCol_SequenceOfPnt2d* is replaced with *TColgp_SequenceOfPnt2d*;
    * *BOPCol_SequenceOfReal* is replaced with *TColStd_SequenceOfReal*;
    * *BOPCol_SequenceOfShape* is replaced with *TopTools_SequenceOfShape*;
    * *BOPCol_Parallel* is replaced with *BOPTools_Parallel*;
    * *BOPCol_NCVector* is replaced with *NCollection_Vector*;
    
    2. The class *BOPDS_PassKey* and containers for it have been removed as unused;
    
    3. The unused containers from *IntTools* package have been removed:
    * *IntTools_DataMapOfShapeAddress* is removed as unused;
    * *IntTools_IndexedDataMapOfTransientAddress* is removed as unused;
    
    4. The container *BiTgte_DataMapOfShapeBox* is replaced with *TopTools_DataMapOfShapeBox*;
    
    5. The class *BOPTools* has been removed as duplicate of the class *TopExp*;
(0072456)
git (administrator)
2017-11-24 10:14

Branch CR25609 has been updated forcibly by emv.

SHA-1: 5f18293a678dd9839d3a5872082b0b52c812a761
(0072465)
emv (developer)
2017-11-24 13:25

Dear Mikhail, could you please review the git branches CR25609, both OCCT and products?
Jenkins job - http://jenkins-test-10.nnov.opencascade.com:8080/view/CR25609-CR25609-emv/view/COMPARE/ [^]
(0072484)
git (administrator)
2017-11-27 08:19

Branch CR25609 has been updated forcibly by emv.

SHA-1: 274001e84ae41d04a89527d3c6b63e4153061305
(0072492)
emv (developer)
2017-11-27 11:36

The git branches CR25609 (both OCCT and pruducts) have been rebased on current master and the test results have been regenerated.
(0072508)
msv (developer)
2017-11-27 20:16

dox/dev_guides/upgrade/upgrade.md
- 1182: unwanted change.
(0072511)
git (administrator)
2017-11-28 07:33

Branch CR25609 has been updated by emv.

SHA-1: f05c7fa8e5db1ffd226e550ae5ac715a90374814


Detailed log of new commits:

Author: emv
Date: Tue Nov 28 07:32:47 2017 +0300

    # Restoring unwanted change

(0072512)
emv (developer)
2017-11-28 07:35

The change is reverted. No need to re-run the testing.
(0072519)
msv (developer)
2017-11-28 09:34

Reviewed.
(0072522)
bugmaster (administrator)
2017-11-28 10:59

Combination -
OCCT branch : CR25609 SHA - 274001e84ae41d04a89527d3c6b63e4153061305
Products branch : CR25609 SHA - 5164ee81ce5291bcb6d1e94bf02cba7e575e92d3
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 19816.480000000316 / 19837.270000000357 [-0.10%]
Products
Total CPU difference: 8048.320000000088 / 8039.350000000084 [+0.11%]
Windows-64-VC10:
OCCT
Total CPU difference: 18049.752502798456 / 17832.614710898575 [+1.22%]
Products
Total CPU difference: 8020.229811399987 / 8019.621407499985 [+0.01%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0072575)
emv (developer)
2017-11-29 14:55

I have found some changes that have to be done in this branch to complete this patch. I am going to make these changes and retest.
(0072579)
git (administrator)
2017-11-29 15:41

Branch CR25609 has been updated by emv.

SHA-1: 519f04b68724465bb000a8b153730958b2a4c5a8


Detailed log of new commits:

Author: emv
Date: Wed Nov 29 15:41:25 2017 +0300

    # Completion of the patch.

(0072604)
emv (developer)
2017-11-30 10:41

The testing is done.
Dear bugmaster, please review the test results and consider as tested.

Please note, that test case sat read_parallel_1 D8 seems to be unstable on linux platform. I've checked it on master, and have got the same result.
(0072613)
bugmaster (administrator)
2017-11-30 11:19
edited on: 2017-11-30 11:34

Thank you for sat read_parallel_1 D8.
I will add it to 25904

(0072615)
bugmaster (administrator)
2017-11-30 12:05

Tested in framework of 29333.
Must be integrated with 29333.
(0072781)
git (administrator)
2017-12-07 21:07

Branch CR25609 has been deleted by kgv.

SHA-1: 519f04b68724465bb000a8b153730958b2a4c5a8

- Related Changesets
occt: master 1155d05a
Timestamp: 2017-11-23 07:57:25
Author: emv
Committer: bugmaster
Details ] Diff ]
0025609: Clean up the duplicate classes in TKBO project

1. The package BOPCol has been fully removed:
- *BOPCol_BaseAllocator* is replaced with *Handle(NCollection_BaseAllocator)*;
- *BOPCol_BoxBndTree* is replaced with *BOPTools_BoxBndTree*;
- *BOPCol_Box2DBndTree* is removed as unused;
- *BOPCol_DataMapOfIntegerInteger* is replaced with *TColStd_DataMapOfIntegerInteger*;
- *BOPCol_DataMapOfIntegerListOfInteger* is replaced with *TColStd_DataMapOfIntegerListOfInteger*;
- *BOPCol_DataMapOfIntegerListOfShape* is replaced with *TopTools_DataMapOfIntegerListOfShape*;
- *BOPCol_DataMapOfIntegerMapOfInteger.hxx* is removed as unused;
- *BOPCol_DataMapOfIntegerReal* is replaced with *TColStd_DataMapOfIntegerReal*;
- *BOPCol_DataMapOfIntegerShape* is replaced with *TopTools_DataMapOfIntegerShape*;
- *BOPCol_DataMapOfShapeBox* is replaced with *TopTools_DataMapOfShapeBox*;
- *BOPCol_DataMapOfShapeInteger* is replaced with *TopTools_DataMapOfShapeInteger*;
- *BOPCol_DataMapOfShapeListOfShape* is replaced with *TopTools_DataMapOfShapeListOfShape*;
- *BOPCol_DataMapOfShapeReal* is replaced with *TopTools_DataMapOfShapeReal*;
- *BOPCol_DataMapOfShapeShape* is replaced with *TopTools_DataMapOfShapeShape*;
- *BOPCol_DataMapOfTransientAddress* is removed as unused;
- *BOPCol_IndexedDataMapOfIntegerListOfInteger* is removed as unused;
- *BOPCol_IndexedDataMapOfShapeBox* is removed as unused;
- *BOPCol_IndexedDataMapOfShapeInteger* is removed as unused;
- *BOPCol_IndexedDataMapOfShapeListOfShape* is replaced with *TopTools_IndexedDataMapOfShapeListOfShape*;
- *BOPCol_IndexedDataMapOfShapeReal* is removed as unused;
- *BOPCol_IndexedDataMapOfShapeShape* is replaced with *TopTools_IndexedDataMapOfShapeShape*;
- *BOPCol_IndexedMapOfInteger* is replaced with *TColStd_IndexedMapOfInteger*;
- *BOPCol_IndexedMapOfOrientedShape* is replaced with *TopTools_IndexedMapOfOrientedShape*;
- *BOPCol_IndexedMapOfShape* is replaced with *TopTools_IndexedMapOfShape*;
- *BOPCol_ListOfInteger* is replaced with *TColStd_ListOfInteger*;
- *BOPCol_ListOfListOfShape* is replaced with *TopTools_ListOfListOfShape*;
- *BOPCol_ListOfShape* is replaced with *TopTools_ListOfShape*;
- *BOPCol_MapOfInteger* is replaced with *TColStd_MapOfInteger*;
- *BOPCol_MapOfOrientedShape* is replaced with *TopTools_MapOfOrientedShape*;
- *BOPCol_MapOfShape* is replaced with *TopTools_MapOfShape*;
- *BOPCol_PListOfInteger* is removed as unused;
- *BOPCol_PInteger* is removed as unused
- *BOPCol_SequenceOfPnt2d* is replaced with *TColgp_SequenceOfPnt2d*;
- *BOPCol_SequenceOfReal* is replaced with *TColStd_SequenceOfReal*;
- *BOPCol_SequenceOfShape* is replaced with *TopTools_SequenceOfShape*;
- *BOPCol_Parallel* is replaced with *BOPTools_Parallel*;
- *BOPCol_NCVector* is replaced with *NCollection_Vector*;

2. The class *BOPDS_PassKey* and containers for it have been removed as unused;

3. The unused containers from *IntTools* package have been removed:
- *IntTools_DataMapOfShapeAddress* is removed as unused;
- *IntTools_IndexedDataMapOfTransientAddress* is removed as unused;

4. The container *BiTgte_DataMapOfShapeBox* is replaced with *TopTools_DataMapOfShapeBox*;

5. The class *BOPTools* has been removed as duplicate of the class *TopExp*;
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
mod - dox/user_guides/boolean_operations/boolean_operations.md Diff ] File ]
mod - src/BiTgte/BiTgte_Blend.cxx Diff ] File ]
mod - src/BiTgte/BiTgte_Blend.hxx Diff ] File ]
rm - src/BiTgte/BiTgte_DataMapIteratorOfDataMapOfShapeBox.hxx Diff ] File ]
rm - src/BiTgte/BiTgte_DataMapOfShapeBox.hxx Diff ] File ]
mod - src/BiTgte/FILES Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Algo.hxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_ArgumentAnalyzer.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_ArgumentAnalyzer.hxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_BOP.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_BOP.hxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder.hxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_BuilderArea.hxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_BuilderFace.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_BuilderFace.hxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_BuilderShape.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_BuilderShape.hxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_BuilderSolid.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_BuilderSolid.hxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder_1.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder_2.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder_3.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder_4.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_CellsBuilder.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_CellsBuilder.hxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_CheckerSI.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_CheckerSI_1.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_CheckResult.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_CheckResult.hxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_MakerVolume.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_MakerVolume.hxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_MakerVolume.lxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Options.hxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller.hxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_1.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_10.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_11.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_2.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_3.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_4.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_5.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_6.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_7.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_8.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_9.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Section.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Section.hxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_ShellSplitter.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_ShellSplitter.hxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Splitter.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Splitter.hxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Tools.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Tools.hxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_ToolsProvider.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_ToolsProvider.hxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_WireEdgeSet.hxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_WireEdgeSet.lxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_WireSplitter.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_WireSplitter.hxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_WireSplitter.lxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_WireSplitter_1.cxx Diff ] File ]
rm - src/BOPCol/BOPCol_BaseAllocator.hxx Diff ] File ]
rm - src/BOPCol/BOPCol_Box2DBndTree.cxx Diff ] File ]
rm - src/BOPCol/BOPCol_Box2DBndTree.hxx Diff ] File ]
rm - src/BOPCol/BOPCol_BoxBndTree.cxx Diff ] File ]
rm - src/BOPCol/BOPCol_BoxBndTree.hxx Diff ] File ]
rm - src/BOPCol/BOPCol_DataMapOfIntegerInteger.hxx Diff ] File ]
rm - src/BOPCol/BOPCol_DataMapOfIntegerListOfInteger.hxx Diff ] File ]
rm - src/BOPCol/BOPCol_DataMapOfIntegerListOfShape.hxx Diff ] File ]
rm - src/BOPCol/BOPCol_DataMapOfIntegerMapOfInteger.hxx Diff ] File ]
rm - src/BOPCol/BOPCol_DataMapOfIntegerReal.hxx Diff ] File ]
rm - src/BOPCol/BOPCol_DataMapOfIntegerShape.hxx Diff ] File ]
rm - src/BOPCol/BOPCol_DataMapOfShapeAddress.hxx Diff ] File ]
rm - src/BOPCol/BOPCol_DataMapOfShapeInteger.hxx Diff ] File ]
rm - src/BOPCol/BOPCol_DataMapOfShapeListOfShape.hxx Diff ] File ]
rm - src/BOPCol/BOPCol_DataMapOfShapeReal.hxx Diff ] File ]
rm - src/BOPCol/BOPCol_DataMapOfShapeShape.hxx Diff ] File ]
rm - src/BOPCol/BOPCol_DataMapOfTransientAddress.hxx Diff ] File ]
rm - src/BOPCol/BOPCol_IndexedDataMapOfIntegerListOfInteger.hxx Diff ] File ]
rm - src/BOPCol/BOPCol_IndexedDataMapOfShapeBox.hxx Diff ] File ]
rm - src/BOPCol/BOPCol_IndexedDataMapOfShapeInteger.hxx Diff ] File ]
rm - src/BOPCol/BOPCol_IndexedDataMapOfShapeListOfShape.hxx Diff ] File ]
rm - src/BOPCol/BOPCol_IndexedMapOfInteger.hxx Diff ] File ]
rm - src/BOPCol/BOPCol_IndexedMapOfShape.hxx Diff ] File ]
rm - src/BOPCol/BOPCol_ListOfInteger.hxx Diff ] File ]
rm - src/BOPCol/BOPCol_ListOfListOfShape.hxx Diff ] File ]
rm - src/BOPCol/BOPCol_ListOfShape.hxx Diff ] File ]
rm - src/BOPCol/BOPCol_MapOfInteger.hxx Diff ] File ]
rm - src/BOPCol/BOPCol_MapOfOrientedShape.hxx Diff ] File ]
rm - src/BOPCol/BOPCol_MapOfShape.hxx Diff ] File ]
rm - src/BOPCol/BOPCol_NCVector.hxx Diff ] File ]
rm - src/BOPCol/BOPCol_PInteger.hxx Diff ] File ]
rm - src/BOPCol/BOPCol_PListOfInteger.hxx Diff ] File ]
rm - src/BOPCol/BOPCol_SequenceOfPnt2d.hxx Diff ] File ]
rm - src/BOPCol/BOPCol_SequenceOfShape.hxx Diff ] File ]
rm - src/BOPCol/FILES Diff ] File ]
mod - src/BOPDS/BOPDS_CommonBlock.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_CommonBlock.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_Curve.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_Curve.lxx Diff ] File ]
rm - src/BOPDS/BOPDS_DataMapOfPassKeyListOfPaveBlock.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_DataMapOfPaveBlockListOfInteger.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_DS.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_DS.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_FaceInfo.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_FaceInfo.lxx Diff ] File ]
mod - src/BOPDS/BOPDS_IndexedDataMapOfPaveBlockListOfInteger.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_Iterator.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_Iterator.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_IteratorSI.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_IteratorSI.hxx Diff ] File ]
rm - src/BOPDS/BOPDS_ListIteratorOfListOfPassKeyBoolean.hxx Diff ] File ]
rm - src/BOPDS/BOPDS_ListOfPassKeyBoolean.hxx Diff ] File ]
rm - src/BOPDS/BOPDS_MapOfPassKey.hxx Diff ] File ]
rm - src/BOPDS/BOPDS_MapOfPassKeyBoolean.hxx Diff ] File ]
rm - src/BOPDS/BOPDS_PassKey.cxx Diff ] File ]
rm - src/BOPDS/BOPDS_PassKey.hxx Diff ] File ]
rm - src/BOPDS/BOPDS_PassKey.lxx Diff ] File ]
rm - src/BOPDS/BOPDS_PassKeyBoolean.hxx Diff ] File ]
rm - src/BOPDS/BOPDS_PassKeyBoolean.lxx Diff ] File ]
rm - src/BOPDS/BOPDS_PassKeyMapHasher.hxx Diff ] File ]
rm - src/BOPDS/BOPDS_PassKeyMapHasher.lxx Diff ] File ]
mod - src/BOPDS/BOPDS_PaveBlock.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_ShapeInfo.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_ShapeInfo.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_ShapeInfo.lxx Diff ] File ]
mod - src/BOPDS/BOPDS_SubIterator.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_SubIterator.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfCurve.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfFaceInfo.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfIndexRange.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfInterfEE.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfInterfEF.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfInterfEZ.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfInterfFF.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfInterfFZ.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfInterfVE.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfInterfVF.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfInterfVV.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfInterfVZ.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfInterfZZ.hxx Diff ] File ]
rm - src/BOPDS/BOPDS_VectorOfListOfPassKeyBoolean.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfListOfPaveBlock.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfPair.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfPoint.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfShapeInfo.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_VectorOfVectorOfPair.hxx Diff ] File ]
mod - src/BOPDS/FILES Diff ] File ]
mod - src/BOPTest/BOPTest_APICommands.cxx Diff ] File ]
mod - src/BOPTest/BOPTest_BOPCommands.cxx Diff ] File ]
mod - src/BOPTest/BOPTest_CellsCommands.cxx Diff ] File ]
mod - src/BOPTest/BOPTest_CheckCommands.cxx Diff ] File ]
mod - src/BOPTest/BOPTest_DebugCommands.cxx Diff ] File ]
mod - src/BOPTest/BOPTest_ObjCommands.cxx Diff ] File ]
mod - src/BOPTest/BOPTest_Objects.cxx Diff ] File ]
mod - src/BOPTest/BOPTest_Objects.hxx Diff ] File ]
mod - src/BOPTest/BOPTest_PartitionCommands.cxx Diff ] File ]
mod - src/BOPTest/BOPTest_UtilityCommands.cxx Diff ] File ]
rm - src/BOPTools/BOPTools.cxx Diff ] File ]
rm - src/BOPTools/BOPTools.hxx Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools.cxx Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools.hxx Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools2D.cxx Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools2D.hxx Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools3D.cxx Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools_1.cxx Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools_2.cxx Diff ] File ]
add - src/BOPTools/BOPTools_BoxSelector.hxx Diff ] File ]
mod - src/BOPTools/BOPTools_ConnexityBlock.hxx Diff ] File ]
mod - src/BOPTools/BOPTools_CoupleOfShape.hxx Diff ] File ]
mod - src/BOPTools/BOPTools_DataMapOfShapeSet.hxx Diff ] File ]
mod - src/BOPTools/BOPTools_EdgeSet.hxx Diff ] File ]
mod - src/BOPTools/BOPTools_EdgeSet.lxx Diff ] File ]
mod - src/BOPTools/BOPTools_Set.cxx Diff ] File ]
mod - src/BOPTools/BOPTools_Set.hxx Diff ] File ]
mod - src/BOPTools/BOPTools_ShapeSet.hxx Diff ] File ]
mod - src/BOPTools/BOPTools_ShapeSet.lxx Diff ] File ]
mod - src/BOPTools/FILES Diff ] File ]
mod - src/BRepAlgoAPI/BRepAlgoAPI_Algo.hxx Diff ] File ]
mod - src/BRepAlgoAPI/BRepAlgoAPI_BooleanOperation.cxx Diff ] File ]
mod - src/BRepAlgoAPI/BRepAlgoAPI_Section.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_Builder.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_Builder.hxx Diff ] File ]
mod - src/BRepFill/BRepFill_TrimShellCorner.cxx Diff ] File ]
mod - src/BRepOffset/BRepOffset_Inter2d.cxx Diff ] File ]
mod - src/BRepOffset/BRepOffset_Inter3d.cxx Diff ] File ]
mod - src/BRepOffset/BRepOffset_MakeOffset.cxx Diff ] File ]
mod - src/BRepOffset/BRepOffset_MakeOffset_1.cxx Diff ] File ]
mod - src/BRepOffset/BRepOffset_Tool.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_FilletCommands.cxx Diff ] File ]
mod - src/IntTools/FILES Diff ] File ]
mod - src/IntTools/IntTools_Context.cxx Diff ] File ]
mod - src/IntTools/IntTools_Context.hxx Diff ] File ]
mod - src/IntTools/IntTools_EdgeEdge.cxx Diff ] File ]
rm - src/IntTools/IntTools_IndexedDataMapOfTransientAddress.hxx Diff ] File ]
mod - src/NCollection/NCollection_Vector.hxx Diff ] File ]
mod - src/QABugs/QABugs_19.cxx Diff ] File ]
mod - src/TKBO/PACKAGES Diff ] File ]
mod - src/TopExp/TopExp.cxx Diff ] File ]
mod - src/TopExp/TopExp.hxx Diff ] File ]
mod - src/TopTools/FILES Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-12-13 15:35 Vico Liang New Issue
2014-12-13 15:35 Vico Liang Assigned To => msv
2015-04-13 22:09 abv Target Version 6.9.0 => 7.0.0
2015-10-28 17:58 msv Target Version 7.0.0 => 7.1.0
2016-10-28 17:03 msv Target Version 7.1.0 => 7.2.0
2017-07-21 11:34 msv Target Version 7.2.0 => 7.2.1
2017-11-22 16:39 msv Assigned To msv => emv
2017-11-22 16:39 msv Status new => assigned
2017-11-24 10:09 git Note Added: 0072454
2017-11-24 10:14 git Note Added: 0072456
2017-11-24 13:25 emv Note Added: 0072465
2017-11-24 13:25 emv Assigned To emv => msv
2017-11-24 13:25 emv Status assigned => resolved
2017-11-24 13:25 emv Steps to Reproduce Updated View Revisions
2017-11-27 08:19 git Note Added: 0072484
2017-11-27 11:36 emv Note Added: 0072492
2017-11-27 20:16 msv Note Added: 0072508
2017-11-27 20:16 msv Assigned To msv => emv
2017-11-27 20:16 msv Status resolved => assigned
2017-11-28 07:33 git Note Added: 0072511
2017-11-28 07:35 emv Note Added: 0072512
2017-11-28 07:35 emv Assigned To emv => msv
2017-11-28 07:35 emv Status assigned => resolved
2017-11-28 09:34 msv Note Added: 0072519
2017-11-28 09:34 msv Assigned To msv => bugmaster
2017-11-28 09:34 msv Status resolved => reviewed
2017-11-28 10:59 bugmaster Test case number => Not required
2017-11-28 10:59 bugmaster Note Added: 0072522
2017-11-28 10:59 bugmaster Status reviewed => tested
2017-11-29 14:55 emv Note Added: 0072575
2017-11-29 14:55 emv Assigned To bugmaster => emv
2017-11-29 14:55 emv Status tested => assigned
2017-11-29 15:41 git Note Added: 0072579
2017-11-30 10:41 emv Note Added: 0072604
2017-11-30 10:41 emv Assigned To emv => bugmaster
2017-11-30 10:41 emv Status assigned => resolved
2017-11-30 10:41 emv Status resolved => reviewed
2017-11-30 11:19 bugmaster Note Added: 0072613
2017-11-30 11:34 bugmaster Note Edited: 0072613 View Revisions
2017-11-30 12:03 bugmaster Relationship added parent of 0029333
2017-11-30 12:05 bugmaster Note Added: 0072615
2017-11-30 12:05 bugmaster Status reviewed => tested
2017-12-02 16:59 bugmaster Changeset attached => occt master 1155d05a
2017-12-02 16:59 bugmaster Status tested => verified
2017-12-02 16:59 bugmaster Resolution open => fixed
2017-12-05 12:05 msv Target Version 7.2.1 => 7.3.0*
2017-12-07 21:07 git Note Added: 0072781


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker